I need to find an app or hack to force my Galaxy S6 to run Bluetooth 4.0 instead of 4.1, can I get some help?

A

AC Question

need to find an app or hack to force my Galaxy S6 to run Bluetooth 4.0 instead of 4.1

My car does not support BT 4.1 and the upgrade is way in the future. Thus, I need to downgrade the Galaxy S6 to BT 4.0 to get a reliable connection.
Can anyone tell me how to do this. Samsung support says it is possible, but against their policy to provide advice on third party software.
thansk
 

Rukbat

Retired Moderator
Feb 12, 2012
44,529
28
0
Visit site
Re: need to find an app or hack to force my Galaxy S6 to run Bluetooth 4.0 instead of 4.1

There's no third party software to do it,. You'd have to get source for the Android firmware (generic firmware is available, Samsung S6-specific firmware isn't) and put Bluetooth 4.0 in it, then flash the ROM to the phone. IOW, there's no practical way to do it.
 

Gator352

Banned
Sep 11, 2010
3,742
50
0
Visit site
Re: need to find an app or hack to force my Galaxy S6 to run Bluetooth 4.0 instead of 4.1

Bluetooth 4.1 and down is backwards compatible with all versions. If you have BT v3 headphones they will work with BT 4.1 devices and vice versa. The problem lies with the phone's BT stack. Downgrading won't help, and you can't unless you root and install a custom rom.

My pioneer head unit worked great until the 5.1.1 update. Now i can't for some reason use Voice dialing. I've done the resets on both to no avail. Frustrating. But what's funny is that it works great on my wife's Uconnect system. So, in my opinion, the only way to fix it is to buy a newer head unit.

Posted via the Android Central App
 

Trending Posts

Forum statistics

Threads
944,481
Messages
6,922,949
Members
3,159,575
Latest member
100RNR